be.fgov.ehealth.consultrn._1_0.protocol

## Class PersonHistoryCivilStateReply

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.protocol.ResponseType
  - - be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnReplyType
    - - be.fgov.ehealth.consultrn._1_0.protocol.PersonHistoryCivilStateReply

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class PersonHistoryCivilStateReply
      extends ConsultRnReplyType
      implements Serializable

  reply of service PersonHistory

  Java class for PersonHistoryCivilStateReplyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonHistoryCivilStateReplyType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:consultRN:1_0:protocol}ConsultRnReplyType">
             <sequence>
               <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="CivilstateHistory" type="{urn:be:fgov:ehealth:consultRN:1_0:core}CivilstateHistoryType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonHistoryCivilStateReply()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CivilstateHistoryType>` | `getCivilstateHistories()` Gets the value of the civilstateHistories property.
    `String` | `getSSIN()` Gets the value of the ssin property.
    `void` | `setSSIN(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnReplyType

      `getErrorInformations`

    - ### Methods inherited from class be.fgov.ehealth.commons._1_0.protocol.ResponseType

      `getId, getStatus, setId, setStatus`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonHistoryCivilStateReply

          public PersonHistoryCivilStateReply()

  - ### Method Detail

    - #### getSSIN

          public String getSSIN()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSSIN

          public void setSSIN(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCivilstateHistories

          public List<CivilstateHistoryType> getCivilstateHistories()

      Gets the value of the civilstateHistories property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the civilstateHistories property.

      For example, to add a new item, do as follows:

              getCivilstateHistories().add(newItem);

      Objects of the following type(s) are allowed in the list `CivilstateHistoryType`

Connector Packaging PERSPRACTICALNURSE 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.